From: Alyssa Ross <hi@alyssa.is>
To: devel@spectrum-os.org
Cc: Demi Marie Obenour <demiobenour@gmail.com>
Subject: [PATCH 2/2] scripts/make-erofs.sh: run mkdir less
Date: Tue, 30 Sep 2025 11:19:10 +0200 [thread overview]
Message-ID: <20250930092249.571803-3-hi@alyssa.is> (raw)
In-Reply-To: <20250930092249.571803-1-hi@alyssa.is>
[ is likely a shell builtin, so by checking for existence before
running mkdir, we avoid lots of mkdir spawns.
Signed-off-by: Alyssa Ross <hi@alyssa.is>
---
scripts/make-erofs.sh | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/scripts/make-erofs.sh b/scripts/make-erofs.sh
index 551ae4a..ad04844 100755
--- a/scripts/make-erofs.sh
+++ b/scripts/make-erofs.sh
@@ -61,7 +61,9 @@ while read -r arg1; do
)
# shellcheck disable=SC2031 # shadowed in subshell on purpose
- mkdir -p -- "$root/$parent"
+ if ! [ -e "$root/$parent" ]; then
+ mkdir -p -- "$root/$parent"
+ fi
cp -RT -- "$arg1" "$root/$arg2"
done
--
2.51.0
next prev parent reply other threads:[~2025-09-30 9:24 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-09-30 9:19 [PATCH 0/2] scripts/make-erofs.sh: run mkdir/chmod less Alyssa Ross
2025-09-30 9:19 ` [PATCH 1/2] scripts/make-erofs.sh: run chmod less Alyssa Ross
2025-09-30 16:00 ` Demi Marie Obenour
2025-09-30 19:46 ` Alyssa Ross
2025-09-30 9:19 ` Alyssa Ross [this message]
2025-09-30 16:01 ` [PATCH 2/2] scripts/make-erofs.sh: run mkdir less Demi Marie Obenour
2025-09-30 19:46 ` Alyssa Ross
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20250930092249.571803-3-hi@alyssa.is \
--to=hi@alyssa.is \
--cc=demiobenour@gmail.com \
--cc=devel@spectrum-os.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
Code repositories for project(s) associated with this public inbox
https://spectrum-os.org/git/crosvm
https://spectrum-os.org/git/doc
https://spectrum-os.org/git/mktuntap
https://spectrum-os.org/git/nixpkgs
https://spectrum-os.org/git/spectrum
https://spectrum-os.org/git/ucspi-vsock
https://spectrum-os.org/git/www
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).